package team.frc.morpheus.vision.pixy2;


public class DoubleTargetTrackerPixy {

    public static double getLRAdjustment() {
        try {
            USBPixy.Block blocks[] = USBPixy.getBlocks();
            if (blocks.length < 1) return 0;
            else if (blocks.length == 1) return blocks[0].x / (USBPixy.RES_X / 2.0) - 1;
            else return ((blocks[0].x + blocks[1].x) / 2) / (USBPixy.RES_X / 2.0) - 1;
        } catch (NullPointerException e) {
            return 0;
        }
    }

}