package team.frc.morpheus.robot.commands.drivebase;

import edu.wpi.first.wpilibj.command.Command;
import team.frc.morpheus.robot.subsystems.DriveBase;

public class DisableBrakes extends Command {
    DriveBase driveBase;

    public DisableBrakes() {
        driveBase = DriveBase.getInstance();
        requires(driveBase);
    }

    @Override
    protected void initialize() {
        driveBase.disableBrakes();
    }

    @Override
    protected boolean isFinished() {
        return !driveBase.areBrakesEnabled();
    }
}
