package team.frc.morpheus.robot.commands.shifter;

import edu.wpi.first.wpilibj.command.Command;
import team.frc.morpheus.robot.subsystems.Shifter;

public class Shift extends Command {

    private Shifter shifter;
    private Shifter.Gear gear;

    public Shift(Shifter.Gear gear) {
        this.shifter = Shifter.getInstance();
        this.gear = gear;

        requires(this.shifter);
    }

    @Override
    protected void initialize() {
        this.shifter.shift(gear);
    }

    @Override
    protected boolean isFinished() {
        return true;
    }
}
